/*
 * NAME
 *   NNTPStream.h
 * COPYRIGHT
 *   Skim - Off-line news reading package optimized for slow lines.
 *   Copyright (C) 1996  Rene W.J. Pijlman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * VERSION
 *   Skim version 0.8.4.
 *   $Header: /home/rene/sys/CVS_MasterSourceRepository/skim/NNTPStream.h,v 1.3 1996/02/16 23:10:49 rene Exp $
 */

#ifndef _NNTPSTREAM_H_
#define _NNTPSTREAM_H_

#include "Types.h"
#include "VarBuf.h"
#include "StandardIO.h"

StandardIO NNTPStreamOpen( void );
void NNTPStreamClose( StandardIO );

typedef void (*ConversionFunction)( VarBuf Line );
typedef void (*OutputFunction)( VarBuf Line );

void GetTextResponse( StandardIO, ConversionFunction,
                      VarBuf, StandardIO, OutputFunction );

#define TERMINATE_ON_ERROR        True
#define DONT_TERMINATE_ON_ERROR   False

Boolean CheckStatusResponse(
    StandardIO, const char *, const char *, const char *, Boolean );

#endif  /* _NNTPSTREAM_H_ */
